Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.binding
Interface ManagedDataControl

All Superinterfaces:
  DataControl

public interface ManagedDataControl
extends DataControl

This interface is implemented by data controls that needs to have each request demarcated by beginRequest/endRequest pair, so that request level initialization and cleanup processing is possible.

Field Summary

Fields inherited from interface oracle.binding.DataControl
`REL_ALL_REFS, REL_DATA_REFS, REL_VIEW_REFS, REL_WEAK_DATA_REFS`

Method Summary
`void` | `beginRequest(java.util.HashMap requestCtx)` Invoked in some contexts to signal the beginning of a model request.
`void` | `endRequest(java.util.HashMap requestCtx)` Invoked in some contexts to signal the end of a model request.
`boolean` | `resetState()` Resets the DataControl.

Methods inherited from interface oracle.binding.DataControl
`getDataProvider, getName, invokeOperation, release`

Method Detail

### beginRequest

    public void beginRequest(java.util.HashMap requestCtx)

  Invoked in some contexts to signal the beginning of a model request. For example, if the `DataControl` is referenced in a web application then this method will be invoked by the Binding Facilities before control is forwarded to the first `Servlet` defined by the request.

  Datacontrols may implement this method to perform request level initialization.

  This method is to be called only once per request. For example, in web applications, page forwards should not result in multiple invocations of this method.

  Parameters:
    `requestCtx` - a HashMap representing request context.

### endRequest

    public void endRequest(java.util.HashMap requestCtx)

  Invoked in some contexts to signal the end of a model request. For example, if the `DataControl` is referenced in a web application then this method will be invoked by the Binding Facilities after control is returned from the last `Servlet` defined by the request page flow.

  Datacontrols may implement this method to perform request level cleanup.

  This method is to be called only once per request. For example, in web applications, page forwards should not result in multiple invocations of this method.

  Parameters:
    `requestCtx` - a HashMap representing request context.

### resetState

    public boolean resetState()

  Resets the DataControl. DataControl implementation can reset any model session state that maay have been managed by this data control in this method.

  For example, an EJB DataControl provider may extend resetState to close the DataControl EJB SessionBean

  Please note that resetState may not occur immediately. If beginRequest has been invoked on the DataControl then resetState processing will be deferred until endRequest processing.

  Returns:
    true if resetState was processed immediately. false if resetState was deferred to endRequest processing.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.